Skip to main content

Fetch the list of govt programmes

Retrieve a list of government programmes. When invoked, it queries the system to fetch comprehensive information about various government programmes available.

GET/api/hiecm/gateway/v3/govt-programs

This functionality is particularly useful for users who need to access detailed information about different programmes. Note:

This API will retrive the list of govt-programmes in the form of list.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Responses

200

OK

204

No Content

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1001 - No data found. May be returned either bare (ABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.

error.messagestringRequired
400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1015 - Invalid Response. May be returned either bare (ABDM-1015) or with a trailing ": " separator (ABDM-1015: ); match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
403

Forbidden. The caller is authenticated but is not permitted to perform this operation on this resource.

Error codes for this module

500

Internal Server Error

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-9999 - Unknown exception. May be returned either bare (ABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.

error.messagestringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired